All Classes Namespaces Functions Variables Groups Pages
QUnit::TestResultExceptionType Class Reference

Class representing Exception of a particular type. More...

Inheritance diagram for QUnit::TestResultExceptionType:
[legend]

## Public Member Functions

| constructor (string exceptionType)
| creates the object from the exception arguments More...
private | constructor (string exceptionType, string subType)
| private constructor for subclasses
public bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
public string | toString ()
| returns a string describing the exception type

## Public Attributes

string | m_exceptionType
| corresponds to the `"err"` key of an exception hash (the first value of a throw statement)

## Detailed Description

Class representing Exception of a particular type.

## Member Function Documentation

QUnit::TestResultExceptionType::constructor | ( | string | exceptionType | ) |

creates the object from the exception arguments

Parameters

  exceptionType | corresponds to the `"err"` key of an exception hash (the first value of a throw statement)